/*
 * Copyright (C) 2012, Eric Wong <normalperson@yhbt.net>
 * License: GPLv3 or later (see COPYING for details)
 */
#include "cmogstored.h"
void mog_close(int fd)
{
	if (close(fd) == 0)
		return;

	switch (errno) {
	case EINTR: return; /* nothing we can do */
	case EBADF:
		/* EBADF would be a disaster since we use threads */
		syslog(LOG_CRIT, "BUG: attempted to close(fd=%d)", fd);
		assert(0 && fd && "won't attempt to continue on bad close()");
	default: /* EIO, nothing we can do... */
		syslog(LOG_ERR, "close(fd=%d) failed: %m", fd);
	}
}
